function extendBall( Ball, lib ){

	lib.Ball = function(type){
		Ball.apply(this);

		this.type = type;
		this.radius = 15;
		this.gotoAndStop(0);

	}
	lib.Ball.prototype = Ball.prototype;

	Ball.prototype.getCircleBounds = function(optTarget){

		var relativePos = new createjs.Point(0,0);
		if(optTarget){
			this.localToGlobal(0,0, relativePos);
			optTarget.globalToLocal( relativePos.x, relativePos.y, relativePos );
		}

		return {
			x: relativePos.x,
			y: relativePos.y,
			r: this.radius
		}
	}

	Ball.prototype.strikeEnemy = function(e, direction) {

		switch(this.type){
			case 'repel':
				if( direction === 'bottom' ) {
					e.repel();
					return 100;
				} else {
					e.stun();
					return 50;
				}
				break;
			case 'damage':
				e.takeDamage(1);
				if(e.life <= 0) return 1000;
				else return 500;
				break;
		}

	}
	Ball.prototype.convert = function( spell ){
		this.type = spell;
		this.gotoAndStop( spell );
	}

}